;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; Tests for the sourcehut extension.
;;;
;;; Copyright (c) 2019-2020 Evan Hanson
;;;
;;; See LICENSE for details.
;;;

(import (chicken format)
        (chicken pathname)
        (chicken process)
        (chicken process-context))

(set! (current-directory)
  (normalize-pathname (make-pathname (program-name) "../..")))

(assert (zero? (system "./sq </dev/null >/dev/null --help")))
(assert (zero? (system "./sq </dev/null >/dev/null --version")))

(condition-case (process-execute "shelltest" (list "tests"))
  ((exn process)
   (print "shelltestrunner v1.9 is required, skipping tests")))
